### Signal

# ClapperGtk ExtraMenuButton::open-subtitles

#### Declaration

    void
    open_subtitles (
      ClapperGtkExtraMenuButton* self,
      ClapperMediaItem* item,
      gpointer user_data
    )

#### Description [src]

A signal that user wants to open subtitles file.

Implementation should add a way for user to select subtitles to open such as by e.g. using `GtkFileDialog` and then add them to the `item` using `clapper_media_item_set_suburi()` method.

This signal will pass the `ClapperMediaItem` that was current when user clicked the open button and subtitles should be added to this `item`. This avoids situations where another item starts playing before user selects subtitles file to be opened. When using asynchronous operations to open file, implementation should `g_object_ref()` the item to ensure that it stays valid until finish.

Note that this signal will not be emitted if open button is not visible by setting `clapper_gtk_extra_menu_button_set_can_open_subtitles()` to `TRUE`, so you do not have to implement handler for it otherwise.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal emission will restart instead of recursing
Hooks are disabled for this signal

#### Parameters

`item`

  Type: `ClapperMediaItem`

  A `ClapperMediaItem`.

  The data is owned by the caller of the function.